DRM_DEV_REGISTER(9)

NAME
drm_dev_register - Register DRM device

SYNOPSIS

int drm_dev_register(struct drm_device * dev, unsigned long flags);

ARGUMENTS

dev
    Device to register

flags
    Flags passed to the driver's .load function

DESCRIPTION

Register the DRM device dev with the system, advertise device to user-space and start normal device operation. dev must be allocated via drm_dev_alloc previously.

Never call this twice on any device!

RETURNS

0 on success, negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT